#include <sru.h>
#include <def21364.h>

// This function will setup the SRU Registers
void SPORT0_SPORT1_With_SRCs()
{
	// Enable pull-up resistors on unused DAI pins
	* (volatile int *)DAI_PIN_PULLUP = 0xfffff;

	//Generating Code for connecting : SPORT0_CLK to SRC0_CLK_OP
	SRU (SPORT0_CLK_O, SRC0_CLK_OP_I); 

	//Generating Code for connecting : SPORT0_FS to SRC0_FS_OP
	SRU (SPORT0_FS_O, SRC0_FS_OP_I); 

	//Generating Code for connecting : SPORT1_CLK to SRC1_CLK_IP
	SRU (SPORT1_CLK_O, SRC1_CLK_IP_I); 

	//Generating Code for connecting : SPORT1_FS to SRC1_FS_IP
	SRU (SPORT1_FS_O, SRC1_FS_IP_I); 

	//Generating Code for connecting : SPORT1_DA to SRC1_DAT_IP
	SRU (SPORT1_DA_O, SRC1_DAT_IP_I); 

	//Generating Code for connecting : SRC0_DAT_OP to SPORT0_DA
	SRU (SRC0_DAT_OP_O, SPORT0_DA_I); 


}
