#include <sru.h>
#include <def21364.h>

// This function will setup the SRU Registers
void SRC0_SRC1_With_DAI()
{
	// Enable pull-up resistors on unused DAI pins
	* (volatile int *)DAI_PIN_PULLUP = 0xece0f;

	//Generating Code for connecting : DAI_PIN5 to SRC0_DAT_IP
	SRU (LOW, PBEN05_I); 
	SRU (DAI_PB05_O, SRC0_DAT_IP_I); 

	//Generating Code for connecting : DAI_PIN7 to SRC0_CLK_IP
	SRU (LOW, PBEN07_I); 
	SRU (DAI_PB07_O, SRC0_CLK_IP_I); 

	//Generating Code for connecting : DAI_PIN7 to DAI_PIN13
	SRU (LOW, PBEN07_I); 
	SRU (HIGH, PBEN13_I); 
	SRU (DAI_PB07_O, DAI_PB13_I); 

	//Generating Code for connecting : DAI_PIN7 to SRC1_CLK_OP
	SRU (LOW, PBEN07_I); 
	SRU (DAI_PB07_O, SRC1_CLK_OP_I); 

	//Generating Code for connecting : DAI_PIN8 to SRC0_FS_IP
	SRU (LOW, PBEN08_I); 
	SRU (DAI_PB08_O, SRC0_FS_IP_I); 

	//Generating Code for connecting : DAI_PIN8 to DAI_PIN14
	SRU (LOW, PBEN08_I); 
	SRU (HIGH, PBEN14_I); 
	SRU (DAI_PB08_O, DAI_PB14_I); 

	//Generating Code for connecting : DAI_PIN8 to SRC1_FS_OP
	SRU (LOW, PBEN08_I); 
	SRU (DAI_PB08_O, SRC1_FS_OP_I); 

	//Generating Code for connecting : DAI_PIN17 to DAI_PIN6
	SRU (LOW, PBEN17_I); 
	SRU (HIGH, PBEN06_I); 
	SRU (DAI_PB17_O, DAI_PB06_I); 

	//Generating Code for connecting : SRC1_DAT_OP to DAI_PIN9
	SRU (HIGH, PBEN09_I); 
	SRU (SRC1_DAT_OP_O, DAI_PB09_I); 


}
